### Class

# Phosh Call

#### Description [src]

    final class Phosh.Call : GObject.Object
    {
      /* No available fields */
    }

A phone call

Interfaces with a single call object on DBus. GNOME Calls exports information of phone calls on DBus. This class interfaces with one of them to provide the necessary information to e.g. handle calls on the lock screen.

#### Ancestors

- GObject

#### Constructors

###### phosh_call_new

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Call:dbus-proxy

The DBus proxy object to a call on gnome-calls DBus interface.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshCallClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.